GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IargBufferOffset< ARGT > Struct Template Reference
GTPin: High-Level Instrumentation (HLI) Parameters and Arguments

HLI argument value of type ARGT that represents offset in the GTPin profile buffer. More...

`#include <gt_iarg_defs.h>`

## Public Member Functions
| IargBufferOffset (const ARGT &v)
| Construct IargBufferOffset object with the specified argument value.
template<typename PRMT >
const IGtIarg & | Make (IGtIargFactory &factory) const
| Create IGtIarg object that converts offset in the profile buffer into device address, and assigns it to the formal parameter of type PRMT.

## Detailed Description

### template<typename ARGT>
struct gtpin::IargBufferOffset< ARGT >

HLI argument value of type ARGT that represents offset in the GTPin profile buffer.

The class provides factory method that encapsulates this argument value into IGtIarg object of type GtIargType::BUFFER_OFFSET

Parameters:

  ARGT | Integral type or GtReg

## Member Function Documentation

template<typename ARGT >
template<typename PRMT >

const IGtIarg& gtpin::IargBufferOffset< ARGT >::Make | ( | IGtIargFactory & | factory | ) | const`[inline]`

Create IGtIarg object that converts offset in the profile buffer into device address, and assigns it to the formal parameter of type PRMT.

Parameters:

  PRMT | Type of the formal parameter of the function

Returns:
  New IGtIarg object of type GtIargType::BUFFER_OFFSET

Precondition:
  PRMT is a pointer type

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT